/*****************************************************************************/
/*****************************************************************************/
//
// File Name:	IDMFLASH.DSL
// Description: QUICC-IDM flash demo file controlling 1 panel
//
// Author:	RAC
// Date:	23.06.97
//
/*****************************************************************************/
/*****************************************************************************/

idm_script

:main

/*---------------------------------------------------------------------------*/
// normal flashing - unity dividers

blank
idm_flash1 1 1
idm_flash2 1 1
blank 500

"\g********"
"\r\f NORMAL \-"
"\r\x FLASH  \-"
"\g********"
out 4000

/*---------------------------------------------------------------------------*/
// fast/slow flashing

blank
idm_flash1 4 4
idm_flash2 1 1
blank 500

"\g********"
"\g*\r\x FAST \-\g*"
"\g*\r\f SLOW \-\g*"
"\g********"
out 6000

/*---------------------------------------------------------------------------*/
// one-way biassed flashing

blank
idm_flash1 1 4
idm_flash2 1 4
blank 500

"\g********"
"\r\xONE WAY \-"
"\r\f  BIAS  \-"
"\g********"
out 6000

/*---------------------------------------------------------------------------*/
// flashing together

blank
idm_flash1 4 1
idm_flash2 1 4
idm_invert
blank 500

"\g********"
"\r\x FLASH  \-"
"\r\fTOGETHER\-"
"\g********"
out 6000

/*---------------------------------------------------------------------------*/
// flashing out of sequence

blank
idm_flash1 2 1
idm_flash2 3 4
blank 500

"\g********"
"\r\x OUT OF\-"
"\r\fSEQUENCE\-"
"\g********"
out 6000

/*---------------------------------------------------------------------------*/
jump main			// loop round


/*****************************************************************************/
/********* End of File ******** End of File ******** End of File *************/

